Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.AnnotationSummaryCallback Class Reference

## Public Member Functions
int | getCurrentLocaleID ()
| A callback function used to specify current locale ID. More...
String | getLocalFontName ()
| A callback function used to specify the font name used locally. More...
String | loadString (int id)
| A callback function used to load a string in local language for a specified case. More...
void | release ()
| A callback function used to release current callback object itself. More...

## Static Public Attributes
static final int | e_AnnotationSummaryStringIDAuthor = 0
| Annotations summary string ID: specify the prefix when author information is outputed in result document. Default prefix is "Author:".
static final int | e_AnnotationSummaryStringIDDate = 1
| Annotations summary string ID: specify the prefix when date information is outputed in result document. Default prefix is "Date:".
static final int | e_AnnotationSummaryStringIDDocumentTitle = 4
| Annotations summary string ID: specify the document title in result document. Default title is "Summary of comments:".
static final int | e_AnnotationSummaryStringIDNoAnnotations = 6
| Annotations summary string ID: specify the string used as content in result document when a page does not have any annotation. Default content is "No Annotations.".
static final int | e_AnnotationSummaryStringIDNumber = 7
| Annotations summary string ID: specify the prefix when number information is outputed in result document. Default prefix is "Number:".
static final int | e_AnnotationSummaryStringIDPage = 2
| Annotations summary string ID: specify the prefix when page information is outputed in result document. Default prefix is "Page:".
static final int | e_AnnotationSummaryStringIDPageTitle = 5
| Annotations summary string ID: specify the prefix when page title is outputed in result document. Default string is "Page:".
static final int | e_AnnotationSummaryStringIDSubject = 8
| Annotations summary string ID: specify the prefix when subject information is outputed in result document. Default prefix is "Subject:".
static final int | e_AnnotationSummaryStringIDType = 3
| Annotations summary string ID: specify the prefix when annotation type is outputed in result document. Default prefix is "Type:".

## Detailed Description

This class represents a callback object which is used during summarizing annotation to allow user to decide some format/data. All the pure virtual functions in this class are used as callback functions and should be implemented by user. An implemented AnnotationSummaryCallback object can be set to a AnnotationSummary object by function AnnotationSummary.setCallback .

## Member Function Documentation

## ◆ getCurrentLocaleID()

int com.foxit.sdk.pdf.AnnotationSummaryCallback.getCurrentLocaleID | ( |  | ) |

A callback function used to specify current locale ID.

Locale ID is used to decide locale format for some information, such as date format.

Returns
  A locale ID. Please refer to values starting from com.foxit.sdk.common.Constants.e_LocaleIDUnspecified and this should be one of these values. If returned locale ID is not supported, Foxit PDF SDK will use value com.foxit.sdk.common.Constants.e_LocaleIDUnspecified by default.

## ◆ getLocalFontName()

String com.foxit.sdk.pdf.AnnotationSummaryCallback.getLocalFontName | ( |  | ) |

A callback function used to specify the font name used locally.

This function is very useful for user to specify the font used in result document.

Returns
  Font name string. If an empty string is returned, Foxit PDF SDK will use "Helvetica" as default font name. If returned font name is invalid, this name will not take any effect.

## ◆ loadString()

String com.foxit.sdk.pdf.AnnotationSummaryCallback.loadString | ( | int | id | ) |

A callback function used to load a string in local language for a specified case.

This function is very useful for user to use local language for some string content in result document. By using this function, user can re-write or translate default output strings to local language for specified case in result document. Default output strings for these specified cases can be found in comment for values starting from com.foxit.sdk.pdf.AnnotationSummaryCallback.e_AnnotationSummaryStringIDAuthor .
Specially, Foxit PDF SDK will add some necessary information/data to the format part in the result document, in order to make content in the result document more useful.

Parameters

  [in] | id | An annotation summary string ID to specify a summary case. Please refer to values starting from com.foxit.sdk.pdf.AnnotationSummaryCallback.e_AnnotationSummaryStringIDAuthor and this would be one of these values.

Returns
  A string used for the specified case.

## ◆ release()

void com.foxit.sdk.pdf.AnnotationSummaryCallback.release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.